search cancel

Error: Update readiness tool failed to run

book

Article ID: 216135

calendar_today

Updated On:

Products

Data Loss Prevention

Issue/Introduction

You are trying to run the latest version of the Upgrade Readiness tool and the tool fails to run with the below error:

Error: Update readiness tool failed to run

Below errors are seen in the URT output:

ORA-39002: invalid operation
ORA-39070: Unable to open the log file.
ORA-29283: invalid file operation: unexpected "LFI" error (1509)[29437]

Environment

DLP 15.x

 

Cause

1. Mismatched Oracle client and server version in a 3-tier environment

2. Insufficient privileges for the data pump to perform the sandbox upgrade.

Resolution

1. Ensure that the Oracle client version is the same as the Oracle server version in a 3-tier environment.

2. Provide the required permissions to the data pump by running the below commands.

NOTE - The commands assume the Oracle database user to be the default i.e. “protect”. Replace the user as appropriate if not using the default user.

sqlplus sys/protect as sysdba
GRANT read, write ON directory data_pump_dir TO protect;
GRANT SELECT ON dba_registry_history TO protect;
GRANT SELECT ON dba_temp_free_space TO protect;
GRANT SELECT ON v_$version TO protect;
GRANT EXECUTE ON dbms_lob TO protect;

For Oracle 19c, additionally run the below command

GRANT create job TO protect;